<template>
  <rui-navbar caption="Funny cats" back-caption="dogs" back-to="#">
    <template #left>
      <!-- The rui-navbar-menu will collapse on mobile, in a dropdown-like menu -->
      <rui-navbar-menu>
        <rui-menu-item caption="Home" icon="doc:home" href="#" />
        <rui-menu-item caption="Tips & tricks" icon="doc:table" href="#" />
      </rui-navbar-menu>

      <!-- This menu has custom properties, visible on smaller screens -->
      <rui-navbar-menu caption="Other">
        <rui-menu-item caption="Toys and games" icon="doc:home" href="#" />
        <rui-menu-item caption="Food" icon="doc:table" href="#" />
        <rui-dropdown>
          <template #caption>
            <rui-icon-text icon="doc:user" text="Account" />
          </template>
          <rui-menu-item caption="Preferences" href="#" />
          <rui-menu-item caption="Sessions" href="#" />
        </rui-dropdown>
      </rui-navbar-menu>

      <!-- This link will always be visible, unless combined with a visibility helper class -->
      <rui-menu-item caption="Link #1" />
    </template>

    <template #right>
      <!-- A toolbar can also be used -->
      <rui-toolbar>
        <rui-button icon="rui:floppy-disk" />

        <rui-button icon="rui:help" />

        <rui-dropdown caption="More" right>
          <rui-menu-item caption="Entry 1" href="#" />
          <rui-menu-item caption="Entry 2" href="#" />
        </rui-dropdown>
      </rui-toolbar>

      <!-- Display like a toolbar but hide on small screens -->
      <rui-navbar-menu right toolbar>
        <rui-menu-item caption="Preferences" href="#" icon="doc:cog" />
        <rui-menu-item caption="Refresh" href="#" icon="doc:reload" />
      </rui-navbar-menu>
    </template>
  </rui-navbar>
</template>
<script setup>
import RuiNavbar from '../../../../src/components/Navbar/Navbar.vue'
</script>
